#include "muttlib.h"

#define CI_password 1
#define CI_complete 2 /* filename completion */

#define CI_is_return(c) ((c) == '\r' || (c) == '\n')

BODY *ci_attach_menu (BODY *);

int ci_simple_pager (const char *);
int ci_any_key_to_continue (const char *);
int ci_enter_string (char *, int, int, int, int);
int ci_get_field (const char *, char *, int, int);
int ci_send_message (METAENV *, char *, int);
int ci_get_postponed_message (FILE *tempfp, METAENV *, HEADER **);

void ci_signal_init (void);
void ci_exit (int);
void ci_attach (void);
void ci_main (void);
void ci_clear_error (void);
void ci_edit_file (const char *);
void ci_edit_headers (const char *, METAENV *);
void ci_search_command(void);

/* addrbook.c */
ADDRESS *alias_menu (void);

/* alias.c */
void mkalias (void);

/* dirlist.c */
void folder_select (const char *, char *);

/* help.c */
int help (int);

/* keymap.c */
void keymap_init (void);

/* mkstring.c */
void mkstring (char *, char *, HEADER *, size_t);

/* pattern.c */
void pattern_function (int, const char *);

/* remailer.c */
#ifdef MIXMASTER_PATH
int mix_menu (void);
int mix_sendMessage (ENVELOPE *, BODY *);
#endif
