/* Copyright (C) 1996 Michael R. Elkins.
 * 
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 * 
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */ 

#ifdef HAVE_NCURSES_H
#include <ncurses.h>
#else
#include <curses.h>
#endif

#define ClearLine(X) {move(X,0);clrtoeol();}
#define ctrl(c) ((c)-'A'+1)
#define CenterLine(X,Y) mvaddstr(Y,(COLS-strlen(X))/2,X)

#ifdef NCURSES_MOUSE_VERSION
extern mmask_t Mousemask;
#endif /* NCURSES_MOUSE_VERSION */

int ci_getch (void);
