/* Copyright (C) 1996 Michael R. Elkins.
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#define OP_NULL 0

#define OP_GENERIC_SELECT_ENTRY 1
#define OP_GENERIC_NEXT_ENTRY 2
#define OP_GENERIC_PREVIOUS_ENTRY 3
#define OP_GENERIC_LAST_ENTRY 4
#define OP_GENERIC_FIRST_ENTRY 5
#define OP_GENERIC_NEXT_PAGE 6
#define OP_GENERIC_PREVIOUS_PAGE 7
#define OP_GENERIC_HELP 8
#define OP_GENERIC_REFRESH 9
#define OP_GENERIC_EXIT 10

#define OP_ATTACH_PRINT_ENTRY 11
#define OP_ATTACH_SAVE_ENTRY  12
#define OP_ATTACH_VIEW_ENTRY  13

#define OP_PAGER_NEXT_PAGE 15
#define OP_PAGER_PREVIOUS_PAGE 16
#define OP_PAGER_NEXT_LINE 17
#define OP_PAGER_PREVIOUS_LINE 18
#define OP_PAGER_TOP 19
#define OP_PAGER_BOTTOM 20
#define OP_PAGER_EXIT 21
#define OP_PAGER_SEARCH 22

#define OP_MAIN_NEXT_UNDELETED 33
#define OP_MAIN_NEXT_MESSAGE 34
#define OP_MAIN_PREVIOUS_UNDELETED 35
#define OP_MAIN_PREVIOUS_MESSAGE 36
#define OP_MAIN_DELETE_MESSAGE 37
#define OP_MAIN_UNDELETE_MESSAGE 38
#define OP_MAIN_SAVE_MESSAGE 39
#define OP_MAIN_COPY_MESSAGE 40
#define OP_MAIN_PRINT_MESSAGE 41
#define OP_MAIN_PIPE_MESSAGE 42
#define OP_MAIN_LIMIT 43
#define OP_MAIN_TAG_MESSAGE 44
#define OP_MAIN_TAG_PATTERN 45
#define OP_MAIN_FIRST_MESSAGE 46
#define OP_MAIN_LAST_MESSAGE 47
#define OP_MAIN_QUIT 48
#define OP_MAIN_EXIT 49
#define OP_MAIN_SORT_MESSAGES 50
#define OP_MAIN_CHANGE_FOLDER 51
#define OP_MAIN_VIEW_ATTACHMENTS 52
#define OP_MAIN_JUMP 53
#define OP_MAIN_ALIAS 54
#define OP_MAIN_BOUNCE_MESSAGE 55
#define OP_MAIN_NEXT_PAGE 56
#define OP_MAIN_PREVIOUS_PAGE 57
#define OP_MAIN_DISPLAY_MESSAGE 58
#define OP_MAIN_DISPLAY_HEADERS 59
#define OP_MAIN_SYNC_FOLDER 60
#define OP_MAIN_REPLY 61
#define OP_MAIN_GROUP_REPLY 62
#define OP_MAIN_SEARCH 63
#define OP_MAIN_FORWARD_MESSAGE 64
#define OP_MAIN_HELP 65
#define OP_MAIN_REFRESH 66
#define OP_MAIN_MAIL 67
#define OP_MAIN_LIST_REPLY 68

#define OP_SEND_HELP_MENU 69
#define OP_SEND_EDIT_TO 70
#define OP_SEND_EDIT_CC 71
#define OP_SEND_EDIT_BCC 72
#define OP_SEND_EDIT_MESSAGE 73
#define OP_SEND_EDIT_HEADERS 74
#define OP_SEND_SEND_MESSAGE 75
#define OP_SEND_ABORT_MESSAGE 76
#define OP_SEND_ISPELL 77
#define OP_SEND_MIXMASTER_MENU 78
#define OP_SEND_PGP_MENU 79
#define OP_SEND_ALIAS_MENU 80
#define OP_SEND_ATTACH_FILE 81
#define OP_SEND_EDIT_SUBJECT 82
#define OP_SEND_REFRESH 83

#define OP_MAIN_DELETE_PATTERN 84
#define OP_MAIN_UNDELETE_PATTERN 85
#define OP_MAIN_FORGET_PASSPHRASE 86

#define OP_GENERIC_DELETE_ENTRY 87
#define OP_GENERIC_UNDELETE_ENTRY 88

#define OP_SEND_POSTPONE_MESSAGE 89

#define OP_MAIN_FLAG_MESSAGE 90
#define OP_MAIN_MARK_AS_NEW 91
